// File:	MeshShape_SurfacePoint.cxx
// Created:	Tue Nov  9 18:58:49 1993
// Author:	Didier PIFFAULT
//		<dpf@zerox>

#include <MeshShape_SurfacePoint.ixx>

MeshShape_SurfacePoint::MeshShape_SurfacePoint()
{}

MeshShape_SurfacePoint::MeshShape_SurfacePoint(const Standard_Real u,
					       const Standard_Real v,
					       const Standard_Real x,
					       const Standard_Real y,
					       const Standard_Real z)
     : myUV(u,v), myCoord(x,y,z)
{}					       

MeshShape_SurfacePoint::MeshShape_SurfacePoint(const gp_XY& uv,
					       const gp_XYZ& coord)
     : myUV(uv), myCoord(coord)
{}					       

MeshShape_SurfacePoint::MeshShape_SurfacePoint(const Standard_Real u,
					       const Standard_Real v,
					       const gp_XYZ& coord)
     : myUV(u,v), myCoord(coord)
{}					       
